#### D.2.9.4 pdivi2

Procedure from library `redcgs.lib` (see redcgs_lib).

Usage:
  pdivi2(f,F);
  poly f: the polynomial to be divided
  ideal F: the divisor ideal

Return:
  A list (poly r, ideal q, poly m). r is the remainder of the pseudodivision, q is the ideal of quotients, and m is the factor by which f is to be multiplied.

Note:
  Pseudodivision of a polynomial f by an ideal F in @R. Returns a list (r,q,m) such that m*f=r+sum(q.G).

Example:

    LIB "redcgs.lib";
    ring R=(0,a,b,c),(x,y),dp;
    setglobalrings();
    poly f=(ab-ac)*xy+(ab)*x+(5c);
    ideal F=ax+b,cy+a;
    def r=pdivi2(f,F);
    r;
    ==> [1]:
    ==>    (ab2-abc-b2c+5c2)
    ==> [2]:
    ==>    _[1]=(bc-c2)*y+(bc)
    ==>    _[2]=(-b2+bc)
    ==> [3]:
    ==>    (c)
    r[3]*f-(r[2][1]*F[1]+r[2][2]*F[2])-r[1];
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.